package com.steering.pss.sale.order.craftDesign.model;

public class CraftOrdDesignMscPlGxPrlEntity {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey = "";
	/**
	 * 全程产线号
	 */
	private String mscPline = "";
	/**
	 * 全程工序顺序号
	 */
	private String backlogSeq = "";
	/**
	 * 工序代码
	 */
	private String processCode = "";
	/**
	 * 产线代码
	 */
	private String plineCode = "";
	/**
	 * 产线描述
	 */
	private String plineName = "";
	/**
	 * 产能井代码
	 */
	private String wellCode = "";
	/**
	 * 产能井描述
	 */
	private String wellName = "";
	/**
	 * 是否警告
	 */
	private String warnFl = "";
	/**
	 * 警告内容
	 */
	private String warnDesc = "";
	/**
	 * 是否选取该产线(1:是、0、否)
	 */
	private String validflag = "";
	/**
	 * 认证产线
	 */
	private String identFlag = "";

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * 全程产线号
	 * 
	 * @return value
	 */
	public String getMscPline() {
		return mscPline;
	}

	/**
	 * 全程产线号
	 * 
	 * @param mscPline
	 *            value
	 */
	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	/**
	 * 全程工序顺序号
	 * 
	 * @return value
	 */
	public String getBacklogSeq() {
		return backlogSeq;
	}

	/**
	 * 全程工序顺序号
	 * 
	 * @param backlogSeq
	 *            value
	 */
	public void setBacklogSeq(String backlogSeq) {
		this.backlogSeq = backlogSeq;
	}

	/**
	 * 工序代码
	 * 
	 * @return value
	 */
	public String getProcessCode() {
		return processCode;
	}

	/**
	 * 工序代码
	 * 
	 * @param processCode
	 *            value
	 */
	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	/**
	 * 产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 产线描述
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 产线描述
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 产能井代码
	 * 
	 * @return value
	 */
	public String getWellCode() {
		return wellCode;
	}

	/**
	 * 产能井代码
	 * 
	 * @param wellCode
	 *            value
	 */
	public void setWellCode(String wellCode) {
		this.wellCode = wellCode;
	}

	/**
	 * 产能井描述
	 * 
	 * @return value
	 */
	public String getWellName() {
		return wellName;
	}

	/**
	 * 产能井描述
	 * 
	 * @param wellName
	 *            value
	 */
	public void setWellName(String wellName) {
		this.wellName = wellName;
	}

	/**
	 * 是否警告
	 * 
	 * @return value
	 */
	public String getWarnFl() {
		return warnFl;
	}

	/**
	 * 是否警告
	 * 
	 * @param warnFl
	 *            value
	 */
	public void setWarnFl(String warnFl) {
		this.warnFl = warnFl;
	}

	/**
	 * 警告内容
	 * 
	 * @return value
	 */
	public String getWarnDesc() {
		return warnDesc;
	}

	/**
	 * 警告内容
	 * 
	 * @param warnDesc
	 *            value
	 */
	public void setWarnDesc(String warnDesc) {
		this.warnDesc = warnDesc;
	}

	/**
	 * 是否选取该产线(1:是、0、否)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 是否选取该产线(1:是、0、否)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 认证产线
	 * 
	 * @return value
	 */
	public String getIdentFlag() {
		return identFlag;
	}

	/**
	 * 认证产线
	 * 
	 * @param identFlag
	 *            value
	 */
	public void setIdentFlag(String identFlag) {
		this.identFlag = identFlag;
	}
}
